Sender
Engine » Link

## Functions

PN_EXTERN void | pn_link_offered (pn_link_t *sender, int credit)
| Signal the availability of deliveries for a link. More...
PN_EXTERN ssize_t | pn_link_send (pn_link_t *sender, const char *bytes, size_t n)
| Send message data for the current delivery on a link. More...

## Detailed Description

## Function Documentation

## pn_link_offered()

PN_EXTERN void pn_link_offered | ( | pn_link_t * | sender,
|  | int | credit
| ) |  |

Signal the availability of deliveries for a link.

Parameters

  [in] | sender | a sender link object
  [in] | credit | the number of deliveries potentially available for transfer

## pn_link_send()

PN_EXTERN ssize_t pn_link_send | ( | pn_link_t * | sender,
|  | const char * | bytes,
|  | size_t | n
| ) |  |

Send message data for the current delivery on a link.

Parameters

  [in] | sender | a sender link object
  [in] | bytes | the start of the message data
  [in] | n | the number of bytes of message data

Returns
  the number of bytes sent, or an error code